<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="20037" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES" initialViewController="Y6W-OH-hqX">
    <device id="retina6_0" orientation="portrait" appearance="light"/>
    <dependencies>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="20020"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--SliderVC-->
        <scene sceneID="s0d-6b-0kx">
            <objects>
                <viewController id="Y6W-OH-hqX" customClass="SliderVC" customModule="learning_ios_storyboard" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="5EZ-qb-Rvc">
                        <rect key="frame" x="0.0" y="0.0" width="390" height="844"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="Background2" translatesAutoresizingMaskIntoConstraints="NO" id="W5v-Pg-IdI">
                                <rect key="frame" x="0.0" y="0.0" width="390" height="844"/>
                            </imageView>
                            <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" distribution="fillProportionally" spacing="3" translatesAutoresizingMaskIntoConstraints="NO" id="acR-oz-xeV">
                                <rect key="frame" x="15" y="44" width="360" height="766"/>
                                <subviews>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Sum Numbers" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="37o-iA-cZ0" customClass="slider">
                                        <rect key="frame" x="0.0" y="0.0" width="360" height="538"/>
                                        <fontDescription key="fontDescription" type="system" pointSize="36"/>
                                        <color key="textColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                    <stackView opaque="NO" contentMode="scaleToFill" distribution="fillEqually" spacing="50" translatesAutoresizingMaskIntoConstraints="NO" id="rKL-aX-6So">
                                        <rect key="frame" x="0.0" y="541" width="360" height="21"/>
                                        <subviews>
                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" usesAttributedText="YES" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Mij-6y-1Kt">
                                                <rect key="frame" x="0.0" y="0.0" width="155" height="21"/>
                                                <color key="tintColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                <attributedString key="attributedText">
                                                    <fragment content="First Number">
                                                        <attributes>
                                                            <color key="NSColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                            <font key="NSFont" metaFont="system" size="22"/>
                                                            <paragraphStyle key="NSParagraphStyle" alignment="natural" lineBreakMode="wordWrapping" baseWritingDirection="natural" tighteningFactorForTruncation="0.0"/>
                                                        </attributes>
                                                    </fragment>
                                                </attributedString>
                                                <nil key="highlightedColor"/>
                                            </label>
                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="15" textAlignment="right" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="bPo-fA-iLL">
                                                <rect key="frame" x="205" y="0.0" width="155" height="21"/>
                                                <color key="tintColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                <fontDescription key="fontDescription" name=".AppleSystemUIFont" family=".AppleSystemUIFont" pointSize="22"/>
                                                <color key="textColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                <nil key="highlightedColor"/>
                                            </label>
                                        </subviews>
                                        <color key="backgroundColor" red="0.17646932600000001" green="0.17647057769999999" blue="0.37646836039999998" alpha="0.84638073979591832" colorSpace="custom" customColorSpace="sRGB"/>
                                        <constraints>
                                            <constraint firstAttribute="height" constant="21" id="Ivx-Bj-gcQ"/>
                                        </constraints>
                                    </stackView>
                                    <slider opaque="NO" tag="1" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" value="100" minValue="40" maxValue="160" translatesAutoresizingMaskIntoConstraints="NO" id="Ukw-84-T0k">
                                        <rect key="frame" x="-2" y="565" width="364" height="61"/>
                                        <color key="tintColor" systemColor="tertiarySystemBackgroundColor"/>
                                        <constraints>
                                            <constraint firstAttribute="height" constant="60" id="N6e-ea-rAc"/>
                                        </constraints>
                                        <connections>
                                            <action selector="sliderMoved:" destination="Y6W-OH-hqX" eventType="valueChanged" id="myS-0e-3qL"/>
                                        </connections>
                                    </slider>
                                    <stackView opaque="NO" clearsContextBeforeDrawing="NO" contentMode="scaleToFill" distribution="equalSpacing" translatesAutoresizingMaskIntoConstraints="NO" id="NHJ-mv-AWg">
                                        <rect key="frame" x="0.0" y="628" width="360" height="21"/>
                                        <subviews>
                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Second Number" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="ZEb-99-D8R">
                                                <rect key="frame" x="0.0" y="0.0" width="155" height="21"/>
                                                <fontDescription key="fontDescription" type="system" pointSize="22"/>
                                                <color key="textColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                <nil key="highlightedColor"/>
                                            </label>
                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="15" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Hjg-yQ-Mri">
                                                <rect key="frame" x="305.33333333333331" y="0.0" width="54.666666666666686" height="21"/>
                                                <fontDescription key="fontDescription" type="system" pointSize="22"/>
                                                <color key="textColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                <nil key="highlightedColor"/>
                                            </label>
                                        </subviews>
                                        <color key="backgroundColor" red="0.17646932600000001" green="0.17647057769999999" blue="0.37646836039999998" alpha="0.84638073979999995" colorSpace="custom" customColorSpace="sRGB"/>
                                        <color key="tintColor" red="0.17646932600000001" green="0.17647057769999999" blue="0.37646836039999998" alpha="0.84638073979999995" colorSpace="custom" customColorSpace="sRGB"/>
                                        <constraints>
                                            <constraint firstAttribute="height" constant="21" id="MMS-Oz-d2q"/>
                                            <constraint firstItem="ZEb-99-D8R" firstAttribute="width" secondItem="Hjg-yQ-Mri" secondAttribute="width" multiplier="2.83824" id="ufL-XT-a5u"/>
                                        </constraints>
                                    </stackView>
                                    <slider opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" value="0.5" minValue="0.0" maxValue="1" translatesAutoresizingMaskIntoConstraints="NO" id="mFM-mg-xFa">
                                        <rect key="frame" x="-2" y="652" width="364" height="61"/>
                                        <color key="tintColor" systemColor="systemGroupedBackgroundColor"/>
                                        <constraints>
                                            <constraint firstAttribute="height" constant="60" id="aTo-79-MQA"/>
                                        </constraints>
                                        <connections>
                                            <action selector="sliderMoved:" destination="Y6W-OH-hqX" eventType="valueChanged" id="cPn-Nu-QRe"/>
                                        </connections>
                                    </slider>
                                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="2Pc-pW-8z5">
                                        <rect key="frame" x="0.0" y="715" width="360" height="51"/>
                                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <constraints>
                                            <constraint firstAttribute="height" constant="51" id="6ag-vl-Koq"/>
                                        </constraints>
                                        <color key="tintColor" red="0.17646932600000001" green="0.17647057769999999" blue="0.37646836039999998" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                        <state key="normal" title="Button"/>
                                        <buttonConfiguration key="configuration" style="plain" title="SUM !">
                                            <fontDescription key="titleFontDescription" style="UICTFontTextStyleTitle2"/>
                                        </buttonConfiguration>
                                        <connections>
                                            <action selector="buttonTapped:" destination="Y6W-OH-hqX" eventType="touchUpInside" id="7Ay-Vf-baw"/>
                                        </connections>
                                    </button>
                                </subviews>
                            </stackView>
                        </subviews>
                        <viewLayoutGuide key="safeArea" id="vDu-zF-Fre"/>
                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                        <constraints>
                            <constraint firstItem="vDu-zF-Fre" firstAttribute="bottom" secondItem="acR-oz-xeV" secondAttribute="bottom" id="2xK-Di-3G0"/>
                            <constraint firstItem="W5v-Pg-IdI" firstAttribute="leading" secondItem="5EZ-qb-Rvc" secondAttribute="leading" id="8tb-sE-esb"/>
                            <constraint firstItem="W5v-Pg-IdI" firstAttribute="top" secondItem="5EZ-qb-Rvc" secondAttribute="top" id="G6o-RA-05Y"/>
                            <constraint firstAttribute="bottom" secondItem="W5v-Pg-IdI" secondAttribute="bottom" id="GjD-bg-2IW"/>
                            <constraint firstItem="acR-oz-xeV" firstAttribute="top" secondItem="vDu-zF-Fre" secondAttribute="top" id="Vul-Iz-zbP"/>
                            <constraint firstItem="acR-oz-xeV" firstAttribute="leading" secondItem="vDu-zF-Fre" secondAttribute="leading" constant="15" id="eEQ-Xz-1VM"/>
                            <constraint firstAttribute="trailing" secondItem="acR-oz-xeV" secondAttribute="trailing" constant="15" id="fSO-YA-esl"/>
                            <constraint firstItem="W5v-Pg-IdI" firstAttribute="trailing" secondItem="5EZ-qb-Rvc" secondAttribute="trailing" id="lvr-db-9VE"/>
                        </constraints>
                    </view>
                    <connections>
                        <outlet property="firstNUmberSlider" destination="Ukw-84-T0k" id="a66-hC-9hC"/>
                        <outlet property="firstNumber" destination="bPo-fA-iLL" id="sM8-bX-7RF"/>
                        <outlet property="secondNumber" destination="Hjg-yQ-Mri" id="Dnx-s2-Lhy"/>
                        <outlet property="secondNumberSlider" destination="mFM-mg-xFa" id="mh5-sJ-FVf"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="Ief-a0-LHa" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="131.8840579710145" y="116.51785714285714"/>
        </scene>
    </scenes>
    <resources>
        <image name="Background2" width="564" height="1002"/>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
        <systemColor name="systemGroupedBackgroundColor">
            <color red="0.94901960784313721" green="0.94901960784313721" blue="0.96862745098039216" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
        <systemColor name="tertiarySystemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
